Bug 11271 - ldd segfault
: ldd segfault
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/glibc-core)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-03-29 23:55 by
Modified: 2012-10-03 01:58 (History)


Attachments
psi-plus-0.14-alt0.r1467.src.rpm ( git://git.psi-im.org/psi.git & http://psi-dev.googlecode.com/svn) (6.54 MB, application/x-rpm)
2009-12-20 17:56, Arc
no flags Details
qconf-1.4-alt0.1.src.rpm (использовался при подготовке исходников) (29.68 KB, application/x-rpm)
2009-12-20 18:00, Arc
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-03-29 23:55:55
glibc-utils-2.5-alt4.i586.rpm
ldd segfaults on librmi.so from java-1.6.0-sun (Daedalus)
...
verify-elf: WARNING: ./usr/lib/jvm/java-1.6.0-sun-1.6.0/jre/lib/i386/librmi.so:
STACK entry not found
/usr/lib/rpm/ldd: line 80:  1739 Segmentation fault     
LD_TRACE_LOADED_OBJECTS=1 LD_WARN="$undefined" LD_BIND_NOW="$undefined"
LD_LIBRARY_VERSION="$verify_out" "$rtld" --library-path "$rpath" "$file"
ldd: ./usr/lib/jvm/java-1.6.0-sun-1.6.0/jre/lib/i386/librmi.so: trace failed
...

I temporally fixed it with 
%add_verify_elf_skiplist %{_jvmdir}/%{jredir}/lib/%libarch/librmi.so
------- Comment #1 From 2007-03-31 04:08:40 -------
Это /lib/ld-linux.so.2 падает в режиме LD_TRACE_LOADED_OBJECTS.
------- Comment #2 From 2007-09-07 11:11:00 -------
новые поступления.
verify-elf: WARNING:
./usr/lib/jvm/java-1.5.0-sun-1.5.0.12/jre/lib/amd64/libzip.so: STACK entry not found
/usr/lib/rpm/ldd: line 80:  6417 Segmentation fault     
LD_TRACE_LOADED_OBJECTS=1 LD_WARN="$undefined" LD_BIND_NOW="$undefined"
LD_LIBRARY_VERSION="$verify_out" "$rtld" --library-path "$rpath" "$file"
ldd: ./usr/lib/jvm/java-1.5.0-sun-1.5.0.12/jre/lib/amd64/libzip.so: trace failed
------- Comment #3 From 2007-09-19 04:43:57 -------
(In reply to comment #2)
> новые поступления.

спасибо
------- Comment #4 From 2008-01-13 14:41:39 -------
Fixed in 2.5.1-alt2, patch submitted upstream.
------- Comment #5 From 2008-01-13 22:50:16 -------
нет.
------- Comment #6 From 2008-01-13 23:19:14 -------
(In reply to comment #5)
> нет.

Чего нет?
------- Comment #7 From 2009-12-16 23:41:15 -------
(hasher p5)
Сегодня поймал вот это:
rm -Rf /usr/src/tmp/psi-plus-buildroot/usr/share/psi/README
/usr/src/tmp/psi-plus-buildroot/usr/share/psi/COPYING
/usr/src/tmp/psi-plus-buildroot/usr/share/psi/certs
+ /usr/lib/rpm/brp-alt
Cleaning files in /usr/src/tmp/psi-plus-buildroot (auto)
Verifying and fixing files in /usr/src/tmp/psi-plus-buildroot
(binconfig,pkgconfig,libtool)
Compressing files in /usr/src/tmp/psi-plus-buildroot (auto)
Adjusting library links in /usr/src/tmp/psi-plus-buildroot
./usr/lib:
Verifying ELF objects in /usr/src/tmp/psi-plus-buildroot
(arch=normal,fhs=normal,rpath=normal,stack=normal,textrel=normal,unresolved=normal)
    statically linked
/usr/lib/rpm/ldd: line 77: 16496 Segmentation fault     
LD_TRACE_LOADED_OBJECTS=1 LD_WARN="$undefined" LD_BIND_NOW="$undefined"
LD_LIBRARY_VERSION="$verify_out" "$rtld" --library-path "$rpath" "$file"
ldd: ERROR: ./usr/bin/psi.debug: trace failed
error: Bad exit status from /usr/src/tmp/rpm-tmp.76089 (%install)


RPM build errors:
    Bad exit status from /usr/src/tmp/rpm-tmp.76089 (%install)
Command exited with non-zero status 1
2711.10user 151.41system 31:20.60elapsed 152%CPU (0avgtext+0avgdata
0maxresident)k
223112inputs+884264outputs (328major+7669050minor)pagefaults 0swaps
hsh-rebuild: rebuild of `psi-plus-0.14-alt0.r1467.src.rpm' failed.
------- Comment #8 From 2009-12-16 23:45:06 -------
(In reply to comment #7)
> hsh-rebuild: rebuild of `psi-plus-0.14-alt0.r1467.src.rpm' failed.

Опубликуйте этот файл, пожалуйста.
------- Comment #9 From 2009-12-16 23:54:25 -------
(В ответ на комментарий №8)
> (In reply to comment #7)
> > hsh-rebuild: rebuild of `psi-plus-0.14-alt0.r1467.src.rpm' failed.
> 
> Опубликуйте этот файл, пожалуйста.
http://depositfiles.com/files/s8il0zl94
Или лучше сюда?
------- Comment #10 From 2009-12-17 01:04:41 -------
(In reply to comment #9)
> (В ответ на комментарий №8)
> > (In reply to comment #7)
> > > hsh-rebuild: rebuild of `psi-plus-0.14-alt0.r1467.src.rpm' failed.
> > 
> > Опубликуйте этот файл, пожалуйста.
> http://depositfiles.com/files/s8il0zl94
> Или лучше сюда?

Если распространение этого файла не нарушает чьи-нибудь права, то сюда,
конечно.
------- Comment #11 From 2009-12-20 17:56:02 -------
Created an attachment (id=4145) [details]
git://git.psi-im.org/psi.git & http://psi-dev.googlecode.com/svn
------- Comment #12 From 2009-12-20 18:00:16 -------
Created an attachment (id=4146) [details]
qconf-1.4-alt0.1.src.rpm (использовался при подготовке исходников)
------- Comment #13 From 2009-12-23 00:41:14 -------
psi.debug это не бинарик а неизвестно что.
Выкидыш западных ценностей.

src/Makefile:
        $(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)
        (test -z "$(DESTDIR)" || cd "$(DESTDIR)" ; targ=`basename $(TARGET)`;
objcopy --only-keep-debug "$$targ" "$$targ.debug" && objcopy --strip-debug
"$$targ" && objcopy --add-gnu-debuglink="$$targ.debug" "$$targ" && chmod -x
"$$targ.debug" ) ; rm -f ../psi ; ln -s src/psi ../psi

Если его убрать то соберётся.

--- psi-plus.spec       2009-12-16 22:27:23 +0300
+++ psi-plus.spec       2009-12-23 00:29:29 +0300
@@ -182,6 +182,8 @@
 popd
 rm -Rf %buildroot%_datadir/psi/{README,COPYING,certs}

+rm %buildroot%_bindir/psi.debug
+
 %files
 %doc README COPYING INSTALL TODO
 %attr(0755,root,root) %_bindir/psi
------- Comment #14 From 2012-10-03 01:58:51 -------
(In reply to comment #5)
> нет.

Тот баг, о котором шла речь изначально, был исправлен.

Если есть другие баги с падающим ldd на *корректных* ELF executables или ELF
shared objects, вешайте новые баги, не забывая прикреплять к ним те самые ELFы,
на которых ldd падает.